package com.keao.edu.user.api.entity;

import com.keao.edu.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(exam_room_student_relation):
 */
public class ExamRoomStudentRelation extends  ExamRoom{

	private Long id;

	@ApiModelProperty(value = "考级项目编号")
	private Long examinationBasicId;

	@ApiModelProperty(value = "学员报名编号")
	private Long examRegistrationId;
	
	@ApiModelProperty(value = "考试教室编号")
	private Long examRoomId;
	
	@ApiModelProperty(value = "学员编号")
	private Integer studentId;

	@ApiModelProperty(value = "签到时间")
	private java.util.Date signInTime;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	@ApiModelProperty(value = "房间是否开启")
	private Integer classroomSwitch;

	public Date getSignInTime() {
		return signInTime;
	}

	public void setSignInTime(Date signInTime) {
		this.signInTime = signInTime;
	}

	public Integer getClassroomSwitch() {
		return classroomSwitch;
	}

	public void setClassroomSwitch(Integer classroomSwitch) {
		this.classroomSwitch = classroomSwitch;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public Long getExaminationBasicId() {
		return examinationBasicId;
	}

	public void setExaminationBasicId(Long examinationBasicId) {
		this.examinationBasicId = examinationBasicId;
	}

	public Long getExamRegistrationId() {
		return examRegistrationId;
	}

	public void setExamRegistrationId(Long examRegistrationId) {
		this.examRegistrationId = examRegistrationId;
	}

	public void setExamRoomId(Long examRoomId){
		this.examRoomId = examRoomId;
	}
	
	public Long getExamRoomId(){
		return this.examRoomId;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
